﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="LearnEntityModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="__MigrationHistory">
          <Key>
            <PropertyRef Name="MigrationId" />
            <PropertyRef Name="ContextKey" />
          </Key>
          <Property Name="MigrationId" Type="nvarchar" MaxLength="150" Nullable="false" />
          <Property Name="ContextKey" Type="nvarchar" MaxLength="300" Nullable="false" />
          <Property Name="Model" Type="varbinary(max)" Nullable="false" />
          <Property Name="ProductVersion" Type="nvarchar" MaxLength="32" Nullable="false" />
        </EntityType>
        <EntityType Name="Adresse">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="NumeroRue" Type="int" Nullable="false" />
          <Property Name="Rue" Type="nvarchar(max)" />
          <Property Name="CodePostal" Type="nvarchar(max)" />
          <Property Name="Ville" Type="nvarchar(max)" />
          <Property Name="Pays" Type="nvarchar(max)" />
        </EntityType>
        <EntityType Name="Societe">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Libelle" Type="nvarchar(max)" />
          <Property Name="SIREN" Type="varchar" MaxLength="20" />
          <Property Name="SIRET" Type="varchar" MaxLength="20" />
        </EntityType>
        <EntityType Name="SocietePersonnes">
          <Key>
            <PropertyRef Name="Societe_Id" />
            <PropertyRef Name="Personne_Id" />
          </Key>
          <Property Name="Societe_Id" Type="int" Nullable="false" />
          <Property Name="Personne_Id" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="User">
          <Key>
            <PropertyRef Name="Identifiant" />
          </Key>
          <Property Name="Identifiant" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Nom" Type="nvarchar" MaxLength="100" />
          <Property Name="Prenom" Type="nvarchar" MaxLength="250" />
          <Property Name="Age" Type="int" Nullable="false" />
          <Property Name="Datenaissance" Type="datetime" Nullable="false" />
          <Property Name="Password" Type="nvarchar(max)" />
          <Property Name="Email" Type="nvarchar" MaxLength="100" />
          <Property Name="Adresse_Id" Type="int" />
        </EntityType>
        <Association Name="FK_dbo_SocietePersonnes_dbo_Societe_Societe_Id">
          <End Role="Societe" Type="Self.Societe" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="SocietePersonnes" Type="Self.SocietePersonnes" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Societe">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="SocietePersonnes">
              <PropertyRef Name="Societe_Id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_dbo_SocietePersonnes_dbo_User_Personne_Id">
          <End Role="User" Type="Self.User" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="SocietePersonnes" Type="Self.SocietePersonnes" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="User">
              <PropertyRef Name="Identifiant" />
            </Principal>
            <Dependent Role="SocietePersonnes">
              <PropertyRef Name="Personne_Id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_dbo_User_dbo_Adresse_Adresse_Id">
          <End Role="Adresse" Type="Self.Adresse" Multiplicity="0..1" />
          <End Role="User" Type="Self.User" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Adresse">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="User">
              <PropertyRef Name="Adresse_Id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="LearnEntityModelStoreContainer">
          <EntitySet Name="__MigrationHistory" EntityType="Self.__MigrationHistory" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Adresse" EntityType="Self.Adresse" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Societe" EntityType="Self.Societe" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="SocietePersonnes" EntityType="Self.SocietePersonnes" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="User" EntityType="Self.User" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_dbo_SocietePersonnes_dbo_Societe_Societe_Id" Association="Self.FK_dbo_SocietePersonnes_dbo_Societe_Societe_Id">
            <End Role="Societe" EntitySet="Societe" />
            <End Role="SocietePersonnes" EntitySet="SocietePersonnes" />
          </AssociationSet>
          <AssociationSet Name="FK_dbo_SocietePersonnes_dbo_User_Personne_Id" Association="Self.FK_dbo_SocietePersonnes_dbo_User_Personne_Id">
            <End Role="User" EntitySet="User" />
            <End Role="SocietePersonnes" EntitySet="SocietePersonnes" />
          </AssociationSet>
          <AssociationSet Name="FK_dbo_User_dbo_Adresse_Adresse_Id" Association="Self.FK_dbo_User_dbo_Adresse_Adresse_Id">
            <End Role="Adresse" EntitySet="Adresse" />
            <End Role="User" EntitySet="User" />
          </AssociationSet>
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="LearnEntityModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="C__MigrationHistory">
          <Key>
            <PropertyRef Name="MigrationId" />
            <PropertyRef Name="ContextKey" />
          </Key>
          <Property Name="MigrationId" Type="String" MaxLength="150" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="ContextKey" Type="String" MaxLength="300" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Model" Type="Binary" MaxLength="Max" FixedLength="false" Nullable="false" />
          <Property Name="ProductVersion" Type="String" MaxLength="32" FixedLength="false" Unicode="true" Nullable="false" />
        </EntityType>
        <EntityType Name="Adresse">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="NumeroRue" Type="Int32" Nullable="false" />
          <Property Name="Rue" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="CodePostal" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="Ville" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="Pays" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="User" Relationship="Self.FK_dbo_User_dbo_Adresse_Adresse_Id" FromRole="Adresse" ToRole="User" />
        </EntityType>
        <EntityType Name="Societe">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Libelle" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="User" Relationship="Self.SocietePersonnes" FromRole="Societe" ToRole="User" />
          <Property Name="SIREN" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
          <Property Name="SIRET" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityType Name="User">
          <Key>
            <PropertyRef Name="Identifiant" />
          </Key>
          <Property Name="Identifiant" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Nom" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
          <Property Name="Prenom" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="Age" Type="Int32" Nullable="false" />
          <Property Name="Datenaissance" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="Password" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="Email" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
          <Property Name="Adresse_Id" Type="Int32" />
          <NavigationProperty Name="Adresse" Relationship="Self.FK_dbo_User_dbo_Adresse_Adresse_Id" FromRole="User" ToRole="Adresse" />
          <NavigationProperty Name="Societe" Relationship="Self.SocietePersonnes" FromRole="User" ToRole="Societe" />
        </EntityType>
        <Association Name="FK_dbo_User_dbo_Adresse_Adresse_Id">
          <End Role="Adresse" Type="Self.Adresse" Multiplicity="0..1" />
          <End Role="User" Type="Self.User" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Adresse">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="User">
              <PropertyRef Name="Adresse_Id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="SocietePersonnes">
          <End Role="Societe" Type="Self.Societe" Multiplicity="*" />
          <End Role="User" Type="Self.User" Multiplicity="*" />
        </Association>
        <EntityContainer Name="DemoContext" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="C__MigrationHistory" EntityType="Self.C__MigrationHistory" />
          <EntitySet Name="Adresse" EntityType="Self.Adresse" />
          <EntitySet Name="Societe" EntityType="Self.Societe" />
          <EntitySet Name="User" EntityType="Self.User" />
          <AssociationSet Name="FK_dbo_User_dbo_Adresse_Adresse_Id" Association="Self.FK_dbo_User_dbo_Adresse_Adresse_Id">
            <End Role="Adresse" EntitySet="Adresse" />
            <End Role="User" EntitySet="User" />
          </AssociationSet>
          <AssociationSet Name="SocietePersonnes" Association="Self.SocietePersonnes">
            <End Role="Societe" EntitySet="Societe" />
            <End Role="User" EntitySet="User" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="LearnEntityModelStoreContainer" CdmEntityContainer="DemoContext">
          <EntitySetMapping Name="C__MigrationHistory">
            <EntityTypeMapping TypeName="LearnEntityModel.C__MigrationHistory">
              <MappingFragment StoreEntitySet="__MigrationHistory">
                <ScalarProperty Name="MigrationId" ColumnName="MigrationId" />
                <ScalarProperty Name="ContextKey" ColumnName="ContextKey" />
                <ScalarProperty Name="Model" ColumnName="Model" />
                <ScalarProperty Name="ProductVersion" ColumnName="ProductVersion" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Adresse">
            <EntityTypeMapping TypeName="LearnEntityModel.Adresse">
              <MappingFragment StoreEntitySet="Adresse">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="NumeroRue" ColumnName="NumeroRue" />
                <ScalarProperty Name="Rue" ColumnName="Rue" />
                <ScalarProperty Name="CodePostal" ColumnName="CodePostal" />
                <ScalarProperty Name="Ville" ColumnName="Ville" />
                <ScalarProperty Name="Pays" ColumnName="Pays" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Societe">
            <EntityTypeMapping TypeName="LearnEntityModel.Societe">
              <MappingFragment StoreEntitySet="Societe">
                <ScalarProperty Name="SIRET" ColumnName="SIRET" />
                <ScalarProperty Name="SIREN" ColumnName="SIREN" />
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="Libelle" ColumnName="Libelle" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="User">
            <EntityTypeMapping TypeName="LearnEntityModel.User">
              <MappingFragment StoreEntitySet="User">
                <ScalarProperty Name="Identifiant" ColumnName="Identifiant" />
                <ScalarProperty Name="Nom" ColumnName="Nom" />
                <ScalarProperty Name="Prenom" ColumnName="Prenom" />
                <ScalarProperty Name="Age" ColumnName="Age" />
                <ScalarProperty Name="Datenaissance" ColumnName="Datenaissance" />
                <ScalarProperty Name="Password" ColumnName="Password" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="Adresse_Id" ColumnName="Adresse_Id" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <AssociationSetMapping Name="SocietePersonnes" TypeName="LearnEntityModel.SocietePersonnes" StoreEntitySet="SocietePersonnes">
            <EndProperty Name="Societe">
              <ScalarProperty Name="Id" ColumnName="Societe_Id" />
            </EndProperty>
            <EndProperty Name="User">
              <ScalarProperty Name="Identifiant" ColumnName="Personne_Id" />
            </EndProperty>
          </AssociationSetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="false" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="Aucun" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>